/*
 * Aipo is a groupware program developed by Aimluck,Inc.
 * Copyright (C) 2004-2008 Aimluck,Inc.
 * http://aipostyle.com/
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package com.aimluck.eip.exttimecard;

import java.util.ArrayList;
import java.util.List;
import java.util.StringTokenizer;

import com.aimluck.commons.field.ALNumberField;
import com.aimluck.commons.field.ALStringField;
import com.aimluck.eip.cayenne.om.portlet.EipTWorkflowRoute;
import com.aimluck.eip.common.ALData;
//import com.aimluck.eip.document.util.DocumentUtils;
import com.aimluck.eip.util.ALEipUtils;
//import com.aimluck.eip.workflow.util.WorkflowUtils;

/**
 * 文書管理のファイルのResultDataです。 <BR>
 *
 */
public class ExtTimecardJobOrderListResultData implements ALData {

  /** 受注情報ID */
  private ALNumberField job_order_id;

  /** 受注番号 */
  private ALStringField job_order_number;

  /** 受付日 */
  private ALStringField receipt_date;

  /** 件名 */
  private ALStringField job_order_name;

  /** 受付担当ID */
  private ALNumberField receipt_user_id;
  
  /** 受注区分 */
  private ALStringField juchukubun;

  /** 費用区分 */
  private ALStringField hiyokubun;

  /** 顧客ID */
  private ALNumberField client_id;

  /** システム区分１ */
  private ALStringField system_class1;

  /** システム区分２ */
  private ALStringField system_class2;

  /** ユーザ担当 */
  private ALStringField charge_name;

  /**　作業者１ */
  private ALNumberField worker_user_id01;

  /** 作業者２ */
  private ALNumberField worker_user_id02;

  /** 納期 */
  private ALStringField period;
  
  /** 受注金額 */
  private ALNumberField price;
  
  /** 予定工数 */
  private ALStringField yoteikosu;

  /** 分納区分 */
  private ALStringField installmen_class;
  
  /** 完了区分 */
  private ALStringField completion_class;
  
  /** 無効 */
  private ALStringField disabled;
  
  /** 作成日 */
  private ALStringField create_date;

  /** 作成者ID */
  private ALNumberField create_user_id;
  
  /** 更新日 */
  private ALStringField update_date;

  /** 更新者ID */
  private ALNumberField update_user_id;
  
  /** 顧客名 */
  private ALStringField client_name;
  
  /**
   *
   * @see com.aimluck.eip.common.ALData#initField()
   */
  public void initField() {
    job_order_id = new ALNumberField();
    job_order_number = new ALStringField();
    receipt_date = new ALStringField();
    job_order_name = new ALStringField();
    receipt_user_id = new ALNumberField();
    juchukubun = new ALStringField();
    hiyokubun = new ALStringField();
    client_id = new ALNumberField();
    system_class1 = new ALStringField();
    system_class2 = new ALStringField();
    charge_name = new ALStringField();
    worker_user_id01 = new ALNumberField();
    worker_user_id02 = new ALNumberField();
    period = new ALStringField();
    price = new ALNumberField();
    yoteikosu = new ALStringField();
    installmen_class = new ALStringField();
    completion_class = new ALStringField();
    disabled = new ALStringField();
    create_date = new ALStringField();
    create_user_id = new ALNumberField();
    update_date = new ALStringField();
    update_user_id = new ALNumberField();
    client_name = new ALStringField();
  }


  public ALNumberField getJob_order_id() {
    return job_order_id;
  }

  public void setJob_order_id(int id) {
    job_order_id.setValue(id);
  }

  public ALStringField getJob_order_number() {
    return job_order_number;
  }

  public void setJob_order_number(String str) {
    job_order_number.setValue(str);
  }

  public ALStringField getReceipt_date() {
    return receipt_date;
  }

  public void setReceipt_date(String str) {
    receipt_date.setValue(str);
  }

  public ALStringField getJob_order_name() {
    return job_order_name;
  }

  public void setJob_order_name(String str) {
    job_order_name.setValue(str);
  }

  public ALNumberField getReceipt_user_id() {
    return receipt_user_id;
  }

  public void setReceipt_user_id(int id) {
    receipt_user_id.setValue(id);
  }

  public ALStringField getJuchukubun() {
    return juchukubun;
  }

  public void setJuchukubun(String str) {
    juchukubun.setValue(str);
  }

  public ALStringField getHiyokubun() {
    return hiyokubun;
  }

  public void setHiyokubun(String str) {
    hiyokubun.setValue(str);
  }

  public ALNumberField getClient_id() {
    return client_id;
  }

  public void setClient_id(int id) {
    client_id.setValue(id);
  }

  public ALStringField getSystem_class1() {
    return system_class1;
  }

  public void setSystem_class1(String str) {
    system_class1.setValue(str);
  }

  public ALStringField getSystem_class2() {
    return system_class2;
  }

  public void setSystem_class2(String str) {
    system_class2.setValue(str);
  }

  public ALStringField getCharge_name() {
    return charge_name;
  }

  public void setCharge_name(String str) {
    charge_name.setValue(str);
  }

  public ALNumberField getWorker_user_id01() {
    return worker_user_id01;
  }

  public void setWorker_user_id01(int id) {
    worker_user_id01.setValue(id);
  }

  public ALNumberField getWorker_user_id02() {
    return worker_user_id02;
  }

  public void setWorker_user_id02(int id) {
    worker_user_id02.setValue(id);
  }

  public ALStringField getPeriod() {
    return period;
  }

  public void setPeriod(String str) {
    period.setValue(str);
  }

  public ALNumberField getPrice() {
    return price;
  }

  public void setPrice(int id) {
    price.setValue(id);
  }

  public ALStringField getYoteikosu() {
    return yoteikosu;
  }

  public void setYoteikosu(String str) {
    yoteikosu.setValue(str);
  }

  public ALStringField getInstallmen_class() {
    return installmen_class;
  }

  public void setInstallmen_class(String str) {
    installmen_class.setValue(str);
  }

  public ALStringField getCompletion_class() {
    return completion_class;
  }

  public void setCompletion_class(String str) {
    completion_class.setValue(str);
  }

  public ALStringField getDisabled() {
    return disabled;
  }

  public void setDisabled(String str) {
    disabled.setValue(str);
  }

  public ALStringField getCreate_date() {
    return create_date;
  }

  public void setCreate_date(String str) {
    create_date.setValue(str);
  }

  public ALNumberField getCreate_user_id() {
    return create_user_id;
  }

  public void setCreate_user_id(int id) {
    create_user_id.setValue(id);
  }

  public ALStringField getUpdate_date() {
    return update_date;
  }

  public void setUpdate_date(String str) {
    update_date.setValue(str);
  }

  public ALNumberField getUpdate_user_id() {
    return update_user_id;
  }

  public void setUpdate_user_id(int id) {
    update_user_id.setValue(id);
  }
  
  public ALStringField getClient_name() {
    return client_name;
  }

  public void setClient_name(String str) {
    client_name.setValue(str);
  }


}
